'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const db = require('./dynamo');
const mapAttributes = require('./mapAttributes');

const getByUserId = (TableName, user) => db.query(_extends({
  TableName: `${process.env.DYNAMODB_TABLE}-${TableName}`,
  IndexName: `${TableName}-index`
}, mapAttributes({ user }), {
  KeyConditionExpression: '#user = :user'
}));

module.exports = getByUserId;