const db = require('./dynamo')
const mapAttributes = require('./mapAttributes')

const getByUserId = (TableName, user) => db.query({
  TableName: `${process.env.DYNAMODB_TABLE}-${TableName}`,
  IndexName: `${TableName}-index`,
  ...mapAttributes({ user }),
  KeyConditionExpression: '#user = :user'
})

module.exports = getByUserId